Get API Logs
curl --request GET \
--url https://production.trackstarhq.com/api-logs \
--header 'x-trackstar-api-key: <x-trackstar-api-key>'import requests
url = "https://production.trackstarhq.com/api-logs"
headers = {"x-trackstar-api-key": "<x-trackstar-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-trackstar-api-key': '<x-trackstar-api-key>'}};
fetch('https://production.trackstarhq.com/api-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.trackstarhq.com/api-logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-trackstar-api-key: <x-trackstar-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.trackstarhq.com/api-logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-trackstar-api-key", "<x-trackstar-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.trackstarhq.com/api-logs")
.header("x-trackstar-api-key", "<x-trackstar-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.trackstarhq.com/api-logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-trackstar-api-key"] = '<x-trackstar-api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"request_id": "Root=1-abc12345-abc123def456abc123def456",
"idempotency_key": "9f1c2b1e-6d4a-4c1c-9a8e-2b7e3c5d1f00",
"connection_id": "abc123def456abc123def456abc123de",
"integration_name": "example_wms",
"integration_type": "wms",
"request_time": "2024-01-15T13:45:30Z",
"request_method": "GET",
"request_path": "/wms/orders/<path_param>",
"path_param": "123",
"query_params": {
"limit": 100
},
"request_body": {
"reference_id": "order-1001"
},
"integration_request_bodies": [
{
"url": "https://api.example-wms.com/orders",
"method": "POST",
"body": {
"order_number": "1001"
}
}
],
"status_code": 200,
"error": "Order not found",
"error_origin": "integration",
"duration_ms": 142
}
],
"total_count": 1,
"next_token": "next_token"
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Admin API Reference
Get API Logs
Returns the API requests your organization made to Trackstar, most recent first. Filter by connection, integration, date range, request path, method, or status.
GET
/
api-logs
Get API Logs
curl --request GET \
--url https://production.trackstarhq.com/api-logs \
--header 'x-trackstar-api-key: <x-trackstar-api-key>'import requests
url = "https://production.trackstarhq.com/api-logs"
headers = {"x-trackstar-api-key": "<x-trackstar-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-trackstar-api-key': '<x-trackstar-api-key>'}};
fetch('https://production.trackstarhq.com/api-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.trackstarhq.com/api-logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-trackstar-api-key: <x-trackstar-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.trackstarhq.com/api-logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-trackstar-api-key", "<x-trackstar-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.trackstarhq.com/api-logs")
.header("x-trackstar-api-key", "<x-trackstar-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.trackstarhq.com/api-logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-trackstar-api-key"] = '<x-trackstar-api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"request_id": "Root=1-abc12345-abc123def456abc123def456",
"idempotency_key": "9f1c2b1e-6d4a-4c1c-9a8e-2b7e3c5d1f00",
"connection_id": "abc123def456abc123def456abc123de",
"integration_name": "example_wms",
"integration_type": "wms",
"request_time": "2024-01-15T13:45:30Z",
"request_method": "GET",
"request_path": "/wms/orders/<path_param>",
"path_param": "123",
"query_params": {
"limit": 100
},
"request_body": {
"reference_id": "order-1001"
},
"integration_request_bodies": [
{
"url": "https://api.example-wms.com/orders",
"method": "POST",
"body": {
"order_number": "1001"
}
}
],
"status_code": 200,
"error": "Order not found",
"error_origin": "integration",
"duration_ms": 142
}
],
"total_count": 1,
"next_token": "next_token"
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Headers
Query Parameters
Only return requests made against connections to this integration. The same name can exist across types, so pair it with integration_type to disambiguate.
Available options:
active-ants, adp, amazon, amazon-shipping, amphora, amplifier, ams, amware, atomix, bdi, bergen, best-inc, bigblue, bigcommerce, bleckmann, bluebox, boxzooka, byrd, camelot, canary7, capacity, carton-cloud, cin7-omni, cirro, clarus, controlport, crafty, crowd-cow, cwr, cybership, dart, darwynn-fulfillment, davinci, dcl, dear-systems, delmarcargo, deposco, dhl-ecom, dhl-express, distribution-alternatives, distribution-management, dotcom-distribution, douyin, dpd, ebay, elite-ops, emerson, eshipping, etsy, everstox, evolve, excelsior, extensiv-3pl-central, fabfitfun, faire, fba, fedex, fedex-fulfillment, ffe, finale, flat-fee-shipping, flexport, florisoft, flowspace, forceget, fulfil, fulfillment, fulfillment-lab, fulfillor, fulfilmentcrowd, fullgood-fulfillment, g-global, geodis, gobolt, greenmark, groupon, helm-wms, hive, i-fulfilment, icreate, ilg, infoplus, itshere, jas, jaygroup, jazz-central, joor, landmark, leanafy, leanware, lineage, linnall, linnworks, logicpod, logiwa, logiwa-io, longtail, luminous, luxroutage, mabang, magento, mai, mainfreight, masonhub, mayple, mintsoft, mirakl, mochila-fulfillment, moda-express, monta, netsuite, next3pl, nextsmartship, nfi, nimble, nlrp, npfulfilment, nri, nuorder, oia-global, omnitrans, ongoing, orderdesk, orderflow, orderwise, osa-commerce, overstock, packem, packiyo, park-street, pattern, peoplevox, picqer, pimento, podfoods, portless, postnord, pulpo, qls, quiet, return-helper, rithum-home-depot, rjw, royal-mail, rs-logistics, rush-order, salesupply, sandbox, sellercloud, sg-spedition, shipbob, shipedge, shipfusion, shiphero, shipmonk, shipnetwork, shipoffers, shipout, shipping-and-handling, shipping-tree, shippingbo, shipsidekick, shipstation, shipstream, shipwire, shopify, skladon, skulabs, skusavvy, skuvault, smart-warehousing, smartpack, snapfulfil, sojo, souko, square, squarespace, star, states-logistics, stock-and-trace, stockhub, stord, stylux, teamship, teapplix, techship, thg-ingenuity-fulfil, tiktok, tlogistics, tps, tradepeg, unis, unleashed, ups, usps, veeqo, veracore, vertical-cold, vox, walmart, warehance, warehouseos, wayfair, whiplash, wineshipping, wix, woocommerce, xorosoft, zenfulfillment, zenventory, zoho Example:
"shipbob"
Response
Successful response
See pagination for more details.
Example:
"next_token"